package jp.cssj.resolver.helpers;

import jp.cssj.resolver.SourceValidity;

/**
 * 常にUNKNOWNを返すSourceValidityです。
 * 
 * @author <a href="tatsuhiko at miya dot be">MIYABE Tatsuhiko</a>
 * @version $Id: UnknownSourceValidity.java 655 2011-09-03 11:51:08Z miyabe $
 */
public class UnknownSourceValidity implements SourceValidity {
	private static final long serialVersionUID = 0L;

	public static final UnknownSourceValidity SHARED_INSTANCE = new UnknownSourceValidity();

	private UnknownSourceValidity() {
		// ignore
	}

	public int getValid() {
		return UNKNOWN;
	}

	public int getValid(SourceValidity validity) {
		return UNKNOWN;
	}
}
